## download

=== palm/Makefile ===
## Makefile for RAMDefrag (palm version)
# $Id: Makefile,v 1.7 2004/09/09 22:18:38 knilch Exp $

TARGET = ramdefrag
APPNAME = "RAMDefrag"
APPID = "RmDF"

OBJS = $(TARGET).o
LIBS =

target=m68k-palmos-

CC = $(target)gcc

CFLAGS = -Wall -g -O2

PILRC = pilrc
OBJRES = $(target)obj-res
NM = $(target)nm
BUILDPRC = build-prc
PILOTXFER = pilot-xfer

TGZFILE = ramdefrag-palm.tar.gz
ZIPFILE = ramdefrag-palm.zip

all: $(TARGET).prc

.S.o:
	$(CC) $(TARGETFLAGS) -c $<

.c.s:
	$(CC) $(CSFLAGS) $<

$(TARGET).prc: code0000.$(TARGET).grc code0001.$(TARGET).grc data0000.$(TARGET).grc pref0000.$(TARGET).grc rloc0000.$(TARGET).grc bin.res
	$(BUILDPRC) $(TARGET).prc $(APPNAME) $(APPID) code0001.$(TARGET).grc code0000.$(TARGET).grc data0000.$(TARGET).grc *.bin pref0000.$(TARGET).grc rloc0000.$(TARGET).grc

code0000.$(TARGET).grc: $(TARGET)
	$(OBJRES) $(TARGET)

code0001.$(TARGET).grc: code0000.$(TARGET).grc

data0000.$(TARGET).grc: code0000.$(TARGET).grc

pref0000.$(TARGET).grc: code0000.$(TARGET).grc

rloc0000.$(TARGET).grc: code0000.$(TARGET).grc

bin.res: $(TARGET).rcp $(TARGET).pbm
	$(PILRC) $(TARGET).rcp .
	touch bin.res

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $(TARGET) $(LIBS)
	! $(NM) -u $(TARGET) | grep .

send: $(TARGET).prc
	$(PILOTXFER) -i $(TARGET).prc

depend:
	makedepend -Y -I. *.c

zip: clean
	zip $(ZIPFILE) [!C]*

tar: clean
	tar czf $(TGZFILE) [!C]*

tgz: tar

md5: tar
	md5sum $(TGZFILE) > $(TGZFILE).md5

clean:
	-rm -f *.[oa] $(TARGET) *.bin bin.res *.grc Makefile.bak
	-rm -f $(ZIPFILE) $(TGZFILE) $(TGZFILE).md5

=== debian/changelog ===
ramdefrag (0.4.0) unstable; urgency=low

  * This is a placeholder message.

 -- knilch <knilch@users.sourceforge.net>  Sun,  4 Jan 2004 15:47:36 +0100

=== debian/control ===
Source: ramdefrag
Section: x11
Priority: optional
Maintainer: knilch <knilch@users.sourceforge.net>
Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.9, libgtk2.0-dev, perl (>= 5.2.0), pkg-config, xlibs-dev
Standards-Version: 3.6.2.0

Package: ramdefrag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi Platform RAM Defragmentation
 From the upstream home page:
 .
 'Multi Platform RAM Defragmentation' is a so-called Memory Defragmenter,
 also called RAM defragmenter, RAM/memory booster, RAM/memory optimizer,
 etc.
 .
 By its visionary design, 'Multi Platform RAM Defragmentation' makes your
 computing platform run faster while simultaneously increasing system
 stability, and testers all over the world report that it does a great
 job in delivering world peace and harmony, too.
 .
 Homepage: http://ramdefrag.sourceforge.net/
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/ramdefrag.sgml > ramdefrag.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ramdefrag.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ramdefrag


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
